package com.application.GUI;

import javafx.scene.chart.CategoryAxis;
import javafx.scene.chart.LineChart;
import javafx.scene.chart.NumberAxis;
import javafx.scene.chart.XYChart;

public class LineChartFunctionality {

    LineChart<String, Number> lineChart;
    XYChart.Series<String, Number> series;
    CategoryAxis xAxis;
    NumberAxis yAxis;


    public LineChartFunctionality(){
        xAxis = new CategoryAxis();
        yAxis = new NumberAxis();
        series = new XYChart.Series<String, Number>();
        lineChart = new LineChart<>(xAxis,yAxis);
        lineChart.getData().add(series);
        xAxis.setLabel("Date");
        yAxis.setLabel("Kwh");
        lineChart.setTitle("Drying Processes");
    }

    public LineChart<String, Number> getLineChart() {
        return lineChart;
    }

    public void setLineChart(LineChart<String, Number> lineChart) {
        this.lineChart = lineChart;
    }

    public XYChart.Series<String, Number> getSeries() {
        return series;
    }

    public void setSeries(XYChart.Series<String, Number> series) {
        this.series = series;
    }

}
